Uploaded image for project: 'App Framework'
  1. App Framework
  2. AF-29

Support for limiting extensions by 'require' expression on the server side

    XMLWordPrintable

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Should
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.0
    • Labels:
      None
    • Complexity:
      Medium

      Description

      Extensions are allowed to have a 'require' property, which should be evaluated against the app's contextModel to determine whether the extension is active at a given time.

      E.g. one might say require="visit.active" on a patient dashboard action.

      These expressions are generally simple, and the contextModel is simple too, such that they can be evaluated client-side via JavaScript, or server-side via Java.

      Thus it makes sense to do the server-side evaluation via Java's JavaScript script engine.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              darius Darius Jazayeri
              Reporter:
              darius Darius Jazayeri
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: